<?php
include "../../inc/inc.koneksi.php";

$barc	= $_POST['barc'];
$kodecab= $_POST['kodecab'];

$sql = mysql_query("SELECT * FROM stock WHERE barcode='$barc' AND kode_cab='$kodecab'");
$row = mysql_num_rows($sql);
if ($row>0){
	$r=mysql_fetch_assoc($sql);
	$kodest	 = $r['kode_st'];
	$kodegr	 = substr($kodest,0,3);
	$data['kodest']	= $kodest;
	$data['namast']	= $r['nama_st'];
	$data['barcode']= $r['barcode'];
	$data['satuan']	= $r['satuan'];
	$data['hgjual']	= $r['hg_jual'];
	$data['hgresep']= $r['hg_resep'];
	$data['hgparam']= $r['hg_param'];
	$data['hgbeli']	= $r['hg_beli'];
	$data['kodesp']	= $r['kode_sp'];
	$data['jmlstok']= $r['jml_stok'];
	$data['kodegr']	= $kodegr;
	echo json_encode($data);
}
else{
	$data['kodest']	= '';
	$data['namast']	= '';
	$data['barcode']= '';
	$data['satuan']	= '';
	$data['hgjual']	= '';
	$data['hgresep']= '';
	$data['hgparam']= '';
	$data['hgbeli']	= '';
	$data['kodesp']	= '';
	$data['jmlstok']= '';
	$data['kodegr']	= '';
	echo json_encode($data);
}
?>